import { defineUniPages } from '@uni-helper/vite-plugin-uni-pages'

export default defineUniPages({
  pages: [],
  globalStyle: {
    backgroundColor: '@bgColor',
    backgroundColorBottom: '@bgColorBottom',
    backgroundColorTop: '@bgColorTop',
    backgroundTextStyle: '@bgTxtStyle',
    navigationBarBackgroundColor: '#000000',
    navigationBarTextStyle: '@navTxtStyle',
    navigationBarTitleText: '全能查',
    navigationStyle: 'custom',
  },

  tabBar: {
    backgroundColor: '@tabBgColor',
    borderStyle: '@tabBorderStyle',
    color: '@tabFontColor',
    selectedColor: '@tabSelectedColor',
    list: [
      {
        pagePath: 'pages/index',
        text: '',
        visible: false,
      },
      {
        pagePath: 'pages/agent',
        text: '',
        visible: false,
      },
      {
        pagePath: 'pages/ai',
        text: '',
        visible: false,
      },
      {
        pagePath: 'pages/me',
        text: '',
        visible: false,
      },
    ],
  },
})
